shishi_keys_to_file(3)

NAME
shishi_keys_to_file - API function

SYNOPSIS
#include <shishi.h>

int shishi_keys_to_file(Shishi * handle, const char * filename, Shishi_keys * keys);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * filename
    filename to append key to.

Shishi_keys * keys
    set of keys to print.

DESCRIPTION
Print an ASCII representation of a key structure to a file, for each key in the key set. The file is appended to if it exists. See shishi_key_print() for the format of the output.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.